AI resources
Create payment

This endpoint creates a payment ("advanced_payment") for Wallet Connect. During the agreement process, the integrator receives a payer token from the buyer, which will allow the integrator to execute the payment directly from the buyer's wallet. To apply discounts to the payment, first create a discount promise using the "/v2/wallet_connect/discounts" endpoint before creating a payment through this endpoint. In case of success, the request will return a response with status 201.

POST

https://api.mercadopago.com/v1/advanced_payments
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as creating two identical payments, for example. To en
X-Meli-Session-Id
string
Device identifier used to improve security and increase the payment approval rate. It represents a unique identifier for the buyer's device at the time of purchase.
Body
wallet_payment
object

REQUIRED

Payment data from a seller with a prior Wallet Connect agreement.
payer
object

REQUIRED

Buyer information required to process the payment.
binary_mode
boolean
When enabled, the payment can only be approved or rejected. Otherwise, the payment may remain pending.
capture
boolean
Indicates whether to capture the payment immediately. In two-step payments, set to "false" to reserve the amount first, then capture it by sending "true" in a separate request.
Response parameters
id
number
Unique identifier of the payment.
payments
array
List of payments that were generated.
wallet_payment
object
Wallet payment data from a seller with a prior Wallet Connect agreement.
disbursements
array
List of disbursements distributed among the sellers.
Errors

400Request error.

empty_required_header

The "X-Idempotency-Key" header is required and was not sent. Make the request again including it.

500Generic error.

internal_error

An internal server error occurred. Please try again later. If the problem persists, contact support and provide the x-request-id and details about the operation performed.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/advanced_payments'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
       -H 'X-Idempotency-Key: dfa6a4f3-39d3-4720-8b76-2c79dd291a0e' \
       -H 'X-Meli-Session-Id: DEVICE_ID' \
    -d '{
  "wallet_payment": {
    "transaction_amount": 24.5,
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123",
    "statement_descriptor": "descriptor",
    "discount": {
      "amount": 10,
      "description": "DESC20",
      "detail": {
        "cap": 1000000,
        "type": "percentage",
        "value": 10
      }
    }
  },
  "payer": {
    "token": "abcdef1e23f4567d8e9123eb6591ff68df74c57930551ed980239f4538a7e530",
    "type_token": "wallet-tokens"
  },
  "binary_mode": false,
  "capture": false
}'
Response
{
  "id": 10267812,
  "payments": [
    {
      "id": 3870106238,
      "status": "approved",
      "status_detail": "accredited",
      "payment_type_id": "credit_card",
      "payment_method_id": "credit_card",
      "transaction_amount": "24.50",
      "installments": 1,
      "description": "Payment for the purchase of furniture",
      "capture": true,
      "external_reference": "payment_123"
    }
  ],
  "wallet_payment": {
    "transaction_amount": "24.50",
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123",
    "discount": {
      "amount": 10,
      "code": "WALLET10"
    }
  },
  "disbursements": [
    {
      "collector_id": "987654"
    }
  ],
  "payer": {
    "id": 8879
  },
  "site_id": "MLM",
  "binary_mode": true,
  "date_created": "2018-10-20T09:34:20.518-04:00",
  "date_last_updated": "2018-10-20T09:34:20.518-04:00"
}